summaryrefslogtreecommitdiffstats
path: root/taskcluster/scripts/iris/run-iris-macos.sh
diff options
context:
space:
mode:
Diffstat (limited to 'taskcluster/scripts/iris/run-iris-macos.sh')
-rwxr-xr-xtaskcluster/scripts/iris/run-iris-macos.sh38
1 files changed, 38 insertions, 0 deletions
diff --git a/taskcluster/scripts/iris/run-iris-macos.sh b/taskcluster/scripts/iris/run-iris-macos.sh
new file mode 100755
index 0000000000..6d9d961614
--- /dev/null
+++ b/taskcluster/scripts/iris/run-iris-macos.sh
@@ -0,0 +1,38 @@
+#!/bin/bash
+set -x +e -v
+
+cd $MOZ_FETCHES_DIR/iris_firefox
+
+# FIXME: Install the following without homebrew:
+# tesseract
+# p7zip
+# xquartz
+# pipenv
+# pyobjc
+# pyobjc-core
+
+# FIXME: Find a way to set these values:
+# https://github.com/mozilla/iris_firefox/blob/master/bootstrap/osx_bootstrap.sh#L87-L91
+
+# FIXME: Maybe find a way to create these download files:
+# https://github.com/mozilla/iris_firefox/blob/master/bootstrap/osx_bootstrap.sh#L93-L104
+
+# FIXME: Ensure all of the necessary python packages are available in the pypi mirror
+
+# Mount the downloaded Firefox and install iris's pipenv
+hdiutil attach ../target.dmg
+python3 -m ensurepip --upgrade
+pipenv install
+
+# Handle the nightly smoketest suite differently
+[ "$CURRENT_TEST_DIR" != "nightly" ] && irisstring="firefox -t $CURRENT_TEST_DIR" || irisstring="$CURRENT_TEST_DIR"
+echo "$irisstring"
+
+# Run this chunk of iris tests
+pipenv run iris $irisstring -w ../../iris_runs -f /Volumes/Firefox\ Nightly/Firefox\ Nightly.app/Contents/MacOS/firefox-bin -n --treeherder -y
+runstatus=$?
+
+# FIXME: Return to the starting dir (../..) and zip up the iris_runs/runs dir
+
+# Exit with the iris test run's exit code
+exit $runstatus